package com.community.huiju.dao;

import com.community.huiju.model.TaSysMenuImg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaSysMenuImgMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaSysMenuImg record);

    int insertSelective(TaSysMenuImg record);

    TaSysMenuImg selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaSysMenuImg record);

    int updateByPrimaryKey(TaSysMenuImg record);
    
    List<TaSysMenuImg> selectByMenuId(@Param("id") Integer id);
}